/***
 * Cecilia ADL Compiler
 * Copyright (C) 2006-2007 STMicroelectronics
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: fractal@objectweb.org
 *
 * Author: Alessio Pace
 */
package org.objectweb.fractal.cecilia.adl.idl.ast;

import static org.junit.Assert.assertTrue;

import org.junit.Test;
import org.objectweb.fractal.adl.Node;

/**
 * @author Alessio Pace
 * 
 */
public class PackageContainerTest extends AbstractASTNodesTest {

	@Test
	public void testCreatePackageContainerNode() throws Exception {

		Node n = this.nodeFactory.newXMLNode(CECILIA_IDL_DTD,
				"packageContainer");
		assertTrue("Assert is a PackageContainer",
				n instanceof PackageContainer);

	}

	@Test
	public void testInterfaceDefinitionIsAPackageContainer() throws Exception {

		Node n = this.nodeFactory.newXMLNode(CECILIA_IDL_DTD,
				"interfaceDefinition");
		assertTrue("Assert is a PackageContainer",
				n instanceof PackageContainer);

	}

	@Test
	public void testRecordDefinitionIsAPackageContainer() throws Exception {

		Node n = this.nodeFactory.newXMLNode(CECILIA_IDL_DTD,
				"recordDefinition");
		assertTrue("Assert is a PackageContainer",
				n instanceof PackageContainer);

	}
}
