/***
 * Cecilia ADL Compiler
 * Copyright (C) 2006-2007 STMicroelectronics
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: fractal@objectweb.org
 *
 * Author: Matthieu Leclercq
 */

package org.objectweb.fractal.cecilia.adl.components;

import org.objectweb.fractal.api.control.AttributeController;

/**
 * {@link AttributeController} interface for generic compilers. It provides a
 * <code>role</code> attribute which is used as prefix to find and add tasks
 * in the {@link org.objectweb.fractal.task.core.TaskMap}.
 */
public interface CompilerAttributes extends AttributeController {

  /**
   * Returns the value of the <code>role</code> attribute.
   * 
   * @return the value of the <code>role</code> attribute.
   */
  String getRole();

  /**
   * Sets the value of the <code>role</code> attribute.
   * 
   * @param role the new value of the <code>role</code> attribute.
   */
  void setRole(String role);
}
